# include "TestTimer.h"
# include <Timer.h>

CPPUNIT_TEST_SUITE_REGISTRATION( TestTimer );
using namespace Alice;

void
TestTimer::testPrintTime()
{
  std::string expected("2:01:10.01");
  std::ostringstream out;
  double seconds = 7270.01;
  Timer::printTime(out, seconds);
  CPPUNIT_ASSERT_EQUAL( expected, out.str() );
};
